#ifdef GL_ES
precision mediump float;
#endif
uniform float u_strength;
uniform float u_resolution;
uniform float u_radius;
uniform vec4 u_blurColor;
varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

const float f1 = 0.15306122;
const float f2 = 0.12244897;
const float f3 = 0.09183673;
const float f4 = 0.05102040;
const float fc = 0.16326530;

void main() {
	vec4 sum = vec4(0.0);
	vec2 tc = v_texCoord;
	float blur = u_radius/u_resolution;

	sum += texture2D(CC_Texture0, vec2(tc.x - 4.0*blur, tc.y)) * f4;
	sum += texture2D(CC_Texture0, vec2(tc.x - 3.0*blur, tc.y)) * f3;
	sum += texture2D(CC_Texture0, vec2(tc.x - 2.0*blur, tc.y)) * f2;
	sum += texture2D(CC_Texture0, vec2(tc.x - 1.0*blur, tc.y)) * f1;

	sum += texture2D(CC_Texture0, vec2(tc.x, tc.y)) * fc;

	sum += texture2D(CC_Texture0, vec2(tc.x + 1.0*blur, tc.y)) * f1;
	sum += texture2D(CC_Texture0, vec2(tc.x + 2.0*blur, tc.y)) * f2;
	sum += texture2D(CC_Texture0, vec2(tc.x + 3.0*blur, tc.y)) * f3;
	sum += texture2D(CC_Texture0, vec2(tc.x + 4.0*blur, tc.y)) * f4;

	gl_FragColor = v_fragmentColor * vec4(u_blurColor.rgb, sum.a * u_strength);
}
